<?php 
namespace MisProductos\MisProductosWithAbstract; 
abstract class ProductoAbstract implements ProductoInterface 
{ 
 
    static $numProductos; 
    protected $nombre; 
    protected $cantidad; 
    protected $precio; 
    protected $agotado; 
 
    abstract function __toString(); 
 
    abstract function addProducto(); 
 
    abstract function suprimirProducto(); 
 
}
